function bullets_load()
	bullets = {}
	bullets.speed = 700
	bullets.image = love.graphics.newImage("gfx/bullet.png")
	bullets.touch = love.graphics.newImage("gfx/impact.png")
	bullets.shots = {}
	bullets.impact = {}
	bullets.sound = love.audio.newSource("sfx/shot.ogg", "static")
	bullets.sound:setVolume(0.1)
end
function bullets_shoot()
	love.audio.stop(bullets.sound)
	love.audio.play(bullets.sound)
	local shot = {}
	shot.x = player.x + 24
	shot.y = player.y + 8
	shot.power = 1
	table.insert(bullets.shots, shot)
end
function bullets_update(dt)
	for i, v in ipairs(bullets.shots) do
		v.x = v.x + bullets.speed * dt
		if v.x > sw then
			table.remove(bullets.shots, i)
		end
		for i2, v2 in ipairs(enemies) do
			if CheckCollision(v.x, v.y, 16, 4, v2.x, v2.y, 16, 16) then
				if v2.hp > 0 then
					v2.blink = v2.blink + 2
					table.remove(bullets.shots, i)
					local impact = {}
					impact.anim = newAnimation(bullets.touch, 8, 8, 0,05, 0)
					impact.x = v.x
					impact.y = v.y
					table.insert(bullets.impact, impact)
					v2.hp = v2.hp - v.power
				elseif v2.hp == 0 then
					player.score = player.score + v2.value
					table.remove(bullets.shots, i)
					local xplosion = {}
					xplosion.x = v2.x
					xplosion.y = v2.y
					xplosion.anim = newAnimation(enemies.xplode_sheet, 32, 32, 0.05, 0)
					xplosion.sound = love.audio.newSource("sfx/nme_boom.ogg", "static")
					table.insert(boom, xplosion)
					table.remove(enemies, i2)
				end
			end
		end
	end
	for i, v in ipairs(bullets.impact) do
		v.anim:update(dt)
		if v.anim:getCurrentFrame() == 3 then
			table.remove(bullets.impact, i)
		end
	end
end
function bullets_draw()
	for i, v in ipairs(bullets.shots) do
		love.graphics.draw(bullets.image, v.x, v.y)
	end
	for i, v in ipairs(bullets.impact) do
		v.anim:draw(v.x + 8, v.y)
	end
end