
function enemies_load()
	enemies = {}
	enemies.sheet = love.graphics.newImage("gfx/nme.png")
	enemies.xplode_sheet = love.graphics.newImage("gfx/boom.png")
	boom = {}
	enemies.xplosion = newAnimation(enemies.xplode_sheet, 32, 32, 0.05, 0)
	enemies.shot_sheet = love.graphics.newImage("gfx/nme_bullet.png")
	boulettes = {}
end
function enemies_update(dt)
	local attack = math.random(0, 100)
	if attack > 98 then
		enemy = {}
		enemy.anim = newAnimation(enemies.sheet, 16, 16, 0.3, 0)
		enemy.x = sw
		enemy.y = 0
		enemy.h = math.random(10, sh - 30)
		enemy.speed = 50
		enemy.value = 5
		enemy.hp = 1
		enemy.color = 0
		enemy.blink = 0
		enemy.fire_rate = 0
		table.insert(enemies, enemy)
	end
	for i, v in ipairs(enemies) do
		v.fire_rate = v.fire_rate + dt
		if v.blink == 2 then
			v.color = 1
			v.blink = v.blink - dt 
		elseif v.blink > 0.5 then
			v.blink = 0
			v.color = 0
		end
		v.x = v.x - v.speed * dt
		v.y = -20 * math.sin(0.1 * (v.x + math.pi)) + v.h
		v.anim:update(dt)
		if v.fire_rate > 3 then
			local bullet = {}
			bullet.x = v.x
			bullet.y = v.y
			bullet.anim = newAnimation(enemies.shot_sheet, 8, 8, 0.1, 0)
			bullet.angle = math.atan2((player.y - v.y), (player.x - v.x))
			bullet.vx = 80 * math.cos(bullet.angle)
			bullet.vy = 80 * math.sin(bullet.angle)
			table.insert(boulettes, bullet)
			v.fire_rate = 0
		end
		if v.x < 0 then
			table.remove(enemies, i)
		end
	end
	for i, v in ipairs(boom) do
		v.anim:update(dt)
		if v.anim:getCurrentFrame() == 8 then
			table.remove(boom, i)
		end
	end
	for i, v in ipairs(boulettes) do
		v.anim:update(dt)
		v.x = v.x + v.vx * dt
		v.y = v.y + v.vy * dt
		if v.x < 0 or v.x > sw or v.y < 0 or v.y > sh then
			table.remove(boulettes, i)
		end
	end
end
function enemies_draw()
	for i, v in ipairs(enemies) do
		if v.color == 0 then
			love.graphics.setColor(255, 255, 255)
		elseif v.color == 1 then
			love.graphics.setColor(255, 0, 0)
		end
		v.anim:draw(v.x, v.y)
	end
	for i, v in ipairs(boom) do
		love.audio.play(v.sound)
		love.graphics.setColor(255, 255, 255)
		v.anim:draw(math.floor(v.x), math.floor(v.y) - 4)
	end
	for i, v in ipairs(boulettes) do
		love.graphics.setColor(255, 255, 255)
		v.anim:draw(v.x, v.y)
	end
end