function menu_load()
	menu = {}
	menu.title = love.graphics.newImage("gfx/title.jpg")
	menu.blink = 0
	menu.position = 1
	menu.switch = love.audio.newSource("sfx/beep1.ogg")
	menu.music = love.audio.newSource("music/Maf_-_fat_pantoufle.ogg")
	menu.timer = 1
	menu.fade_out = false
	love.audio.play(menu.music)
end
function menu_update(dt)
	if menu.fade_out == true then
		menu.timer = menu.timer - dt / 1.5
		alpha = alpha * menu.timer
	end
	if menu.timer < 1 then
		menu.music:setVolume(menu.timer)
	end
	if menu.timer < 0 then
		alpha = 255
		menu.timer = 0
		menu.fade_out = false
		love.audio.set = 1
		state = "game"
		love.audio.play(game_music)
	end
	menu.blink = menu.blink + dt
	if menu.blink > 2 then
		menu.blink = 0
	end
end
function menu_draw()
	love.graphics.setColor(255, 255, 255, alpha)
	love.graphics.draw(menu.title, 0, 0)
	love.graphics.setColor(0, 0, 32, alpha)
	love.graphics.print("Start", 111, 171)
	love.graphics.print("Options", 111, 186)
	love.graphics.print("Exit", 111, 201)
	if menu.position == 1 then	
		love.graphics.setColor(255, 255, 255, alpha)
		love.graphics.print("Start", 110, 170)
		love.graphics.setColor(50, 20, 128, alpha)
		love.graphics.print("Options", 110, 185)
		love.graphics.print("Exit", 110, 200)
	elseif menu.position == 2 then
		love.graphics.setColor(255, 255, 255, alpha)
		love.graphics.print("Options", 110, 185)
		love.graphics.setColor(50, 20, 128, alpha)
		love.graphics.print("Start", 110, 170)
		love.graphics.print("Exit", 110, 200)
	elseif	menu.position == 3 then
		love.graphics.setColor(255, 255, 255, alpha)
		love.graphics.print("Exit", 110, 200)
		love.graphics.setColor(50, 20, 128, alpha)
		love.graphics.print("Start", 110, 170)
		love.graphics.print("Options", 110, 185)
	end
end
function game_over_load()
	game_over = {}
	game_over.screen = love.graphics.newImage("gfx/game over.jpg")
end
function game_over_update(dt)
	if reset == true then
		load_game()
	end
end
function game_over_draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(game_over.screen, 0, 0)
end
function move_option(direction, state)
	if state == "menu" then
		if menu.position == 1 then
	 		if direction == "down" then
	 			menu.position = 2
	 		elseif direction == "up" then
	 			menu.position = 3
	 		end
	 	elseif menu.position == 2 then
	 		if direction == "down" then
	 			menu.position = 3
	 		elseif direction == "up" then
	 			menu.position = 1
	 		end
	 	elseif menu.position == 3 then
	 		if direction == "down" then
	 			menu.position = 1
	 		elseif direction == "up" then
	 			menu.position = 2
	 		end
	 	end
	elseif state == "options" then
	 	-- Scale option
	 	if options.position == 1 then
            if direction == "down" then
                options.position = 2
                update_position(1, 2)
            elseif direction == "up" then
                options.position = 7
                update_position(1, 7)
            end
            if direction == "right" then
            	if scale < 4 then
            		scale = scale + 1
            		set_zoom()
            	else
            		scale = 1
            		set_zoom()
            	end
            elseif direction == "left" then
            	if scale > 1 then
            		scale = scale - 1
            		set_zoom()
            	else
            		scale = 4
            		set_zoom()
            	end
            end
        -- Filter option
        elseif options.position == 2 then
            if direction == "down" then
                options.position = 3
                update_position(2, 3)
            elseif direction == "up" then
                options.position = 1
                update_position(2, 1)
            end
            if direction == "right" then
            	if mode == "nearest" then
            		mode = "linear"
            	elseif mode == "linear" then
            		mode = "nearest"
            	end
            	set_filter()
            	set_zoom()
            elseif direction == "left" then
            	if mode == "nearest" then
            		mode = "linear"
            	elseif mode == "linear" then
            		mode = "nearest"
            	end
            	set_filter()
            	set_zoom()
            end
        -- Up mapping
        elseif options.position == 3 then
            if direction == "down" then
                options.position = 4
                update_position(3, 4)
            elseif direction == "up" then
                options.position = 2
                update_position(3, 2)
            end
        -- Down mapping
        elseif options.position == 4 then
            if direction == "down" then
                options.position = 5
                update_position(4, 5)
            elseif direction == "up" then
                options.position = 3
                update_position(4, 3)
            end
        -- Left mapping
        elseif options.position == 5 then
            if direction == "down" then
                options.position = 6
                update_position(5, 6)
            elseif direction == "up" then
                options.position = 4
                update_position(5, 4)
            end
        -- Right mapping
        elseif options.position == 6 then
            if direction == "down" then
                options.position = 7
                update_position(6, 7)
            elseif direction == "up" then
                options.position = 5
                update_position(6, 5)
            end
        -- Shooting mapping
        elseif options.position == 7 then
            if direction == "down" then
                options.position = 1
                update_position(7, 1)
            elseif direction == "up" then
                options.position = 6
                update_position(7, 6)
            end
	 	end
	end
end
function update_position(a, b)
	options.list[a] = {red = 50, green = 20, blue = 128}
	options.list[b] = {red = 255, green = 255, blue = 255}
end
-------------------------------------------------------------------
function options_load()
	options = {}
	options.image = love.graphics.newImage("gfx/options.jpg")
	options.position = 1
	options.list = {}
	options.edit = false
	ur = 50
	ug = 20
	ub = 128
	dr = 50
	dg = 20
	db = 128
	lr = 50
	lg = 20
	lb = 128
	rr = 50
	rg = 20
	rb = 128
	sr = 50
	sg = 20
	sb = 128
	for i = 1, 7 do
		color = {}
		color.red = 50
		color.green = 20
		color.blue = 128
		table.insert(options.list, color)
	end
	options.list[1] = {red = 255, green = 255, blue = 255}
end
function options_update(dt)
end
function options_draw()
	love.graphics.setColor(255, 0, 0)
	love.graphics.draw(options.image, 0, 0)
	-- Print options shadow
	love.graphics.setColor(0, 0, 32)
	love.graphics.print("Scale :", 61, 31)
	love.graphics.print("Filter :", 61, 46)
	love.graphics.print("Up :", 61, 81)
	love.graphics.print("Down", 61, 96)
	love.graphics.print("Left :", 61, 111)
	love.graphics.print("Right :", 61, 126)
	love.graphics.print("Shoot :", 61, 141)
	-- Print active/inactive options
	love.graphics.setColor(options.list[1].red, options.list[1].green, options.list[1].blue)
	love.graphics.print("Scale :", 60, 30)
	love.graphics.setColor(options.list[2].red, options.list[2].green, options.list[2].blue)
	love.graphics.print("Filter :", 60, 45)
	love.graphics.setColor(options.list[3].red, options.list[3].green, options.list[3].blue)
	love.graphics.print("Up :", 60, 80)
	love.graphics.setColor(options.list[4].red, options.list[4].green, options.list[4].blue)
	love.graphics.print("Down", 60, 95)
	love.graphics.setColor(options.list[5].red, options.list[5].green, options.list[5].blue)
	love.graphics.print("Left :", 60, 110)
	love.graphics.setColor(options.list[6].red, options.list[6].green, options.list[6].blue)
	love.graphics.print("Right :", 60, 125)
	love.graphics.setColor(options.list[7].red, options.list[7].green, options.list[7].blue)
	love.graphics.print("Shoot :", 60, 140)
	parameters_draw()
end
function parameters_draw()
	-- Print parameters shadow
	love.graphics.setColor(0, 0, 32)
	love.graphics.print("X1", 141, 31)
	love.graphics.print("X2", 166, 31)
	love.graphics.print("X3", 191, 31)
	love.graphics.print("X4", 216, 31)
	love.graphics.print("Nearest", 141, 46)
	love.graphics.print("Linear", 216, 46)
	love.graphics.print(up, 141, 81)
	love.graphics.print(down, 141, 96)
	love.graphics.print(left, 141, 111)
	love.graphics.print(right, 141, 126)
	love.graphics.print(player.shoot, 141, 141)
	if options.position == 3 then
		love.graphics.printf("Press enter to map the up key", 3, 156, 320, "center")
	elseif options.position == 4 then
		love.graphics.printf("Press enter to map the down key", 3, 156, 320, "center")
	elseif options.position == 5 then
		love.graphics.printf("Press enter to map the left key", 3, 156, 320, "center")
	elseif options.position == 6 then
		love.graphics.printf("Press enter to map the right key", 3, 156, 320, "center")
	elseif options.position == 7 then
		love.graphics.printf("Press enter to map the shoot key", 3, 156, 320, "center")
	end
	-- Print active/inactive parameters
	if scale == 1 then
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("X1", 140, 30)
		love.graphics.setColor(50, 20, 128)
		love.graphics.print("X2", 165, 30)
		love.graphics.print("X3", 190, 30)
		love.graphics.print("X4", 215, 30)
	elseif scale == 2 then
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("X2", 165, 30)
		love.graphics.setColor(50, 20, 128)
		love.graphics.print("X1", 140, 30)
		love.graphics.print("X3", 190, 30)
		love.graphics.print("X4", 215, 30)
	elseif scale == 3 then
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("X3", 190, 30)
		love.graphics.setColor(50, 20, 128)
		love.graphics.print("X2", 165, 30)
		love.graphics.print("X1", 140, 30)
		love.graphics.print("X4", 215, 30)
	elseif scale == 4 then
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("X4", 215, 30)	
		love.graphics.setColor(50, 20, 128)
		love.graphics.print("X2", 165, 30)
		love.graphics.print("X3", 190, 30)
		love.graphics.print("X1", 140, 30)
	end
	if mode == "nearest" then
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("Nearest", 140, 45)
		love.graphics.setColor(50, 20, 128)
		love.graphics.print("Linear", 215, 45)
	elseif mode == "linear" then
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("Linear", 215, 45)
		love.graphics.setColor(50, 20, 128)
		love.graphics.print("Nearest", 140, 45)
	end
	love.graphics.setColor(ur, ug, ub)
	love.graphics.print(up, 140, 80)
	love.graphics.setColor(dr, dg, db)
	love.graphics.print(down, 140, 95)
	love.graphics.setColor(lr, lg, lb)
	love.graphics.print(left, 140, 110)
	love.graphics.setColor(rr, rg, rb)
	love.graphics.print(right, 140, 125)
	love.graphics.setColor(sr, sg, sb)
	love.graphics.print(player.shoot, 140, 140)
	love.graphics.setColor(255, 255, 255)
	if options.position == 3 then
		love.graphics.printf("Press enter to map the up key", 2, 155, 320, "center")
	elseif options.position == 4 then
		love.graphics.printf("Press enter to map the down key", 2, 155, 320, "center")
	elseif options.position == 5 then
		love.graphics.printf("Press enter to map the left key", 2, 155, 320, "center")
	elseif options.position == 6 then
		love.graphics.printf("Press enter to map the right key", 2, 155, 320, "center")
	elseif options.position == 7 then
		love.graphics.printf("Press enter to map the shoot key", 2, 155, 320, "center")
	end
end