hi = 0
require "bullet"
function player_load()
	player = {}
	player.ship_image = love.graphics.newImage("gfx/ship_new2.png")
	player.ship_xplode = love.graphics.newImage("gfx/ship_xplode2.png")
	player.ship_sprite = love.graphics.newQuad(0, 0, 32, 16, 32, 16)
	player.ship_boom = newAnimation(player.ship_xplode, 32, 32, 0.03, 0)
	player.ship_xplode_sound = love.audio.newSource("sfx/ship_boom.ogg")
	player.x = sw / 2
	player.y = sh / 2
	player.speed = 100
	player.score = 0
	player.kill = false
	player.life = 1
	player.xmax = sw - 32
	player.ymax = sh - 16
	player.shoot = " "
end
function player_update(dt)
	if player.score > hi then
		hi = player.score
	end
	for i, v in ipairs(boulettes) do
		if CheckCollision(v.x, v.y, 16, 4, player.x + 6, player.y + 4, 20, 8) then
			player.kill = true
		end
	end
	for i, v in ipairs(enemies) do
		if CheckCollision(v.x, v.y, 16, 16, player.x + 6, player.y + 4, 20, 8) then
			player.kill = true
		end
	end
	if player.kill == true then
		player.ship_boom:update(dt)
		if player.ship_boom:getCurrentFrame() == 10 then
			player.life = player.life - 1
			if player.life == 0 then
				love.audio.stop(game_music)
				state = "game over"
			end
		end
	end
end
function player_draw()
	player.x = math.floor(player.x)
	player.y = math.floor(player.y)
	love.graphics.setColor(255, 255, 255)
	if player.kill == false then
		love.graphics.drawq(player.ship_image, player.ship_sprite, player.x, player.y)
	elseif player.kill == true then
		love.audio.play(player.ship_xplode_sound)
		player.ship_boom:draw(player.x, player.y)
	end
end
function love.keypressed(key)
	if options.edit == true then
		if options.position == 3 then
			up = key
			ur = 50
			ug = 20
			ub = 128
		elseif options.position == 4 then
			down = key
			dr = 50
			dg = 20
			db = 128
		elseif options.position == 5 then
			left = key
			lr = 50
			lg = 20
			lb = 128
		elseif options.position == 6 then
			right = key
			lr = 50
			lg = 20
			lb = 128
		elseif options.position == 7 then
			player.shoot = key
			sr = 50
			sg = 20
			sb = 128
		end
		options.edit = false
	end
end
function love.keyreleased(key, dt)
	if state == "options" then
		if key == "return" then
			options.edit = true
			if options.position == 3 then
				ur = 255
				ug = 255
				ub = 255
			elseif options.position == 4 then
				dr = 255
				dg = 255
				db = 255
			elseif options.position == 5 then
				lr = 255
				lg = 255
				lb = 255
			elseif options.position == 6 then
				rr = 255
				rg = 255
				rb = 255
			elseif options.position == 7 then
				sr = 255
				sg = 255
				sb = 255
			end
		end
	end
	if key == "escape" then
		if state ~= "options" then
			love.event.push("quit")
		elseif state == "options" then
			state = "menu"
		end
	end
	if player.kill == false then
		if key == player.shoot then
			bullets_shoot(dt)
		end
	end
	if key == "d" then
		debug.debug()
		if show_debug == true then
			show_debug = false
		elseif show_debug == false then
			show_debug = true
		end
	end
	if state == "menu" then
		if key == "return" then
			if menu.position == 1 then
				menu.fade_out = true
			elseif menu.position == 2 then
				state = "options"
			elseif menu.position == 3 then
				love.event.push("quit")
			end
		end
	end
	if state == "menu" or state == "options" then
		if options.edit == false or menu.fade_out == false then
			if key == up or key == down or key == left or key == right then
				move_option(key, state)
			end
		end
		love.audio.stop(menu.switch)
		love.audio.play(menu.switch)
	end
	if state =="game over" then
		if key == "return" then
			reset = true
		end
	end
end
function player_movement(dt)
	if player.kill == false then
		if love.keyboard.isDown(left) then
			player.x = player.x - player.speed * dt
		elseif love.keyboard.isDown(right) then
			player.x = player.x + player.speed * dt
		end
		if love.keyboard.isDown(up) then
			player.y = player.y - player.speed * dt
		elseif love.keyboard.isDown(down) then
			player.y = player.y + player.speed * dt
		end
	end
end
function player_bounding(dt)
	if player.x < 0 then
		player.x = 0
	elseif player.x >  player.xmax then
		player.x = player.xmax
	end
	if player.y < 0 then
		player.y = 0
	elseif player.y > player.ymax then
		player.y = player.ymax
	end
 end
--------------------------------------------------------------
function UPDATE_PLAYER(dt)
	player_update(dt)
	player_movement(dt)
	player_bounding(dt)
	bullets_update(dt)
end
function DRAW_PLAYER()
	player_draw()
	bullets_draw()
end