function starfield_load()
	go = 100	-- Variable used to randomly create a new star.
	stars = {}	-- Table to hold the stars
end
function starfield_update(dt)
	-- Randomly create a new star.
	if go > 50 then
		star = {}	-- Table to hold the star's individual parameters.
		star.x = sw + 2	-- Put star's horizontal original position out of the screen.
		star.y = math.random(0, sh)	-- Randomly select vertical position.
		star.r = math.random(1, 3)	-- Randomly select the size of the star out of 3.
		star.s = math.random(50, 100)	-- Randomly select the speed of the star.
		-- Change randomly star colour according the size of the radius.
		if star.r == 1 then	-- Small star, darker colour.
			star.red = math.random(47, 63)
			star.green = math.random(47,63)
			star.blue = math.random(47,63)
		elseif star.r == 2 then	-- Medium star, middle colour.
			star.red = math.random(91, 127)
			star.green = math.random(91, 127)
			star.blue = math.random(91, 127)
			star.s = star.s * 2	-- Double the speed of the medium star.
		elseif star.r == 3 then	-- Big star, lightest colour.
			star.red = math.random(191, 255)
			star.green = math.random(191, 255)
			star.blue = math.random(191, 255)
			star.s = star.s * 3	-- Triple the speed of the star.
		end
		table.insert(stars, star)	-- Insert the new star in the tables stars.
	end
	-- Move the star and remove it if it goes out of the screen.
	for i, v in ipairs(stars) do
		v.x = v.x - v.s * dt
		if v.x < 0 then
			table.remove(stars, i)
		end
	end
	-- Reset random value.
	go = math.random(1, 100)
end
function starfield_draw()
	for i, v in ipairs(stars) do
		if v.r == 1 then
			love.graphics.setColor(v.red, v.green, v.blue)
		elseif v.r == 2 then
			love.graphics.setColor(v.red, v.green, v.blue)
		elseif v.r == 3 then
			love.graphics.setColor(v.red, v.green, v.blue)
		end
		love.graphics.circle("fill", v.x, v.y, v.r/2)
	end
end